Mailinglist Archive: opensuse-updates (74 mails)

< Previous Next >
openSUSE-SU-2013:1444-1: moderate: squid3
openSUSE Security Update: squid3
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1444-1
Rating: moderate
References: #677335 #829084
Cross-References: CVE-2013-4115
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This squid3 update includes several security fixes and
minor changes.

-
squid-3.1.x-bnc829084-CVE-2013-4115-BO_request_handling.diff
Squid advisory SQUID-2013_2, CVE-2013-4115, [bnc#829084]
Specially crafted http requests can trigger a buffer
overflow when squid attempts to resolve an overly long
hostname.
- run logrotate as squid:nogroup [bnc#677335]


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2013-133

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

squid3-3.1.23-19.1
squid3-debuginfo-3.1.23-19.1
squid3-debugsource-3.1.23-19.1


References:

http://support.novell.com/security/cve/CVE-2013-4115.html
https://bugzilla.novell.com/677335
https://bugzilla.novell.com/829084


< Previous Next >
This Thread
  • No further messages